Package org.eclipse.e4.ui.css.core.dom.properties.css2

# Interface ICSSPropertyClassificationHandler

All Superinterfaces:
  `ICSSPropertyHandler`

All Known Implementing Classes:
  `AbstractCSSPropertyClassificationHandler`, `CSSPropertyClassificationSWTHandler`

public interface ICSSPropertyClassificationHandler extends ICSSPropertyHandler
CSS2 Classification Property Handler.

See Also:
  - "http://www.w3schools.com/css/css_reference.asp#classification"

## Method Summary

Modifier and Type
Method
Description
`void`
`applyCSSPropertyClear(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets the sides of an element where other floating elements are not allowed.
`void`
`applyCSSPropertyCursor(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Specifies the type of cursor to be displayed.
`void`
`applyCSSPropertyDisplay(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets how/if an element is displayed.
`void`
`applyCSSPropertyFloat(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets where an image or a text will appear in another element.
`void`
`applyCSSPropertyPosition(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Places an element in a static, relative, absolute or fixed position.
`void`
`applyCSSPropertyVisibility(Object element, CSSValue value, String pseudo, CSSEngine engine)`
Sets if an element should be visible or invisible.
`String`
`retrieveCSSPropertyClear(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyCursor(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyDisplay(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyFloat(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyPosition(Object element, String pseudo, CSSEngine engine)`
`String`
`retrieveCSSPropertyVisibility(Object element, String pseudo, CSSEngine engine)`

### Methods inherited from interface org.eclipse.e4.ui.css.core.dom.properties.ICSSPropertyHandler

`applyCSSProperty, retrieveCSSProperty`

## Method Details

### applyCSSPropertyClear

void applyCSSPropertyClear(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets the sides of an element where other floating elements are not allowed. Available values are=left,right,both,none

Throws:
  `Exception`

### applyCSSPropertyCursor

void applyCSSPropertyCursor(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Specifies the type of cursor to be displayed. Available values are=url auto crosshair default pointer move e-resize ne-resize nw-resize n-resize se-resize sw-resize s-resize w-resize text wait help

Throws:
  `Exception`

### applyCSSPropertyDisplay

void applyCSSPropertyDisplay(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets how/if an element is displayed. Available values are=none inline block list-item run-in compact marker table inline-table table-row-group table-header-group table-footer-group table-row table-column-group table-column table-cell table-caption

Throws:
  `Exception`

### applyCSSPropertyFloat

void applyCSSPropertyFloat(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets where an image or a text will appear in another element. Available values are=left right none

Throws:
  `Exception`

### applyCSSPropertyPosition

void applyCSSPropertyPosition(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Places an element in a static, relative, absolute or fixed position. Available values are=static relative absolute fixed

Throws:
  `Exception`

### applyCSSPropertyVisibility

void applyCSSPropertyVisibility(Object element, CSSValue value, String pseudo, CSSEngine engine) throws Exception
Sets if an element should be visible or invisible. Available values are=visible hidden collapse

Throws:
  `Exception`

### retrieveCSSPropertyClear

String retrieveCSSPropertyClear(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyCursor

String retrieveCSSPropertyCursor(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyDisplay

String retrieveCSSPropertyDisplay(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyFloat

String retrieveCSSPropertyFloat(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyPosition

String retrieveCSSPropertyPosition(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`

### retrieveCSSPropertyVisibility

String retrieveCSSPropertyVisibility(Object element, String pseudo, CSSEngine engine) throws Exception

Throws:
  `Exception`